ZWField Struct Reference

a structure to store a field of a ZWrite file More...

`#include <ZWParser.hxx>`

## Public Member Functions

| ZWField ()
| constructor More...
bool | getString (MWAWInputStreamPtr &input, std::string &str) const
| returns the string corresponding to a field More...
bool | getBool (MWAWInputStreamPtr &input, bool &val) const
| returns the boolean corresponding to a field ( T or F ) More...
bool | getInt (MWAWInputStreamPtr &input, int &val) const
| returns the int corresponding to a field More...
bool | getFloat (MWAWInputStreamPtr &input, float &val) const
| returns the float corresponding to a field More...
bool | getIntList (MWAWInputStreamPtr &input, std::vector< int > &val) const
| returns a list of int corresponding to a field More...
bool | getDebugString (MWAWInputStreamPtr &input, std::string &str) const
| returns a debug string corresponding to a field ( replacing by ##[0d], ...) More...

## Public Attributes

MWAWEntry | m_pos
| the field position in the rsrc data file More...

## Detailed Description

a structure to store a field of a ZWrite file

## Constructor & Destructor Documentation

ZWField::ZWField | ( |  | ) |

inline

constructor

## Member Function Documentation

bool ZWField::getBool | ( | MWAWInputStreamPtr & | input,
|  | bool & | val
| ) |  | const

returns the boolean corresponding to a field ( T or F )

Referenced by ZWText::readHFZone(), ZWParser::readHTMLPref(), ZWParser::readPrintInfo(), and ZWText::readStyles().

bool ZWField::getDebugString | ( | MWAWInputStreamPtr & | input,
|  | std::string & | str
| ) |  | const

returns a debug string corresponding to a field ( replacing
by ##[0d], ...)

Referenced by ZWText::readHFZone().

bool ZWField::getFloat | ( | MWAWInputStreamPtr & | input,
|  | float & | val
| ) |  | const

returns the float corresponding to a field

Referenced by ZWParser::readPrintInfo().

bool ZWField::getInt | ( | MWAWInputStreamPtr & | input,
|  | int & | val
| ) |  | const

returns the int corresponding to a field

Referenced by ZWText::readHFZone(), ZWParser::readPrintInfo(), ZWText::readStyles(), and ZWParser::readWindowPos().

bool ZWField::getIntList | ( | MWAWInputStreamPtr & | input,
|  | std::vector< int > & | val
| ) |  | const

returns a list of int corresponding to a field

Referenced by ZWText::readHFZone().

bool ZWField::getString | ( | MWAWInputStreamPtr & | input,
|  | std::string & | str
| ) |  | const

returns the string corresponding to a field

Referenced by getBool(), getFloat(), getInt(), getIntList(), ZWText::readHFZone(), ZWParser::readHTMLPref(), and ZWText::readStyles().

## Member Data Documentation

MWAWEntry ZWField::m_pos

the field position in the rsrc data file

Referenced by getBool(), getDebugString(), ZWParser::getFieldList(), getString(), and ZWText::readHFZone().

The documentation for this struct was generated from the following files:

- ZWParser.hxx
- ZWParser.cxx